package com.liquidnet.common.exception.entity;

import lombok.Data;

import java.util.List;

/**
 * Created by shangshengfang on 2017/2/16.
 */
@Data
public class Error {
    String message;
    String code;
    List<ErrorDetail> errors;
    public Error(){

    }
    public Error(String code, String message){
        this.code = code;
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public List<ErrorDetail> getErrors() {
        return errors;
    }

    public void setErrors(List<ErrorDetail> errors) {
        this.errors = errors;
    }
}
